| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ximgproc::EdgeAwareInterpolator Class Referenceabstract
Extended Image Processing » Filters

Sparse match interpolation algorithm based on modified locally-weighted affine estimator from [226] and Fast Global Smoother as post-processing filter. More...

`#include <opencv2/ximgproc/sparse_match_interpolator.hpp>`

Collaboration diagram for cv::ximgproc::EdgeAwareInterpolator:

## Public Member Functions
virtual float | getFGSLambda ()=0
virtual float | getFGSSigma ()=0
virtual int | getK ()=0
virtual float | getLambda ()=0
virtual float | getSigma ()=0
virtual bool | getUsePostProcessing ()=0
virtual void | setCostMap (const Mat &_costMap)=0
| Interface to provide a more elaborated cost map, i.e. edge map, for the edge-aware term. This implementation is based on a rather simple gradient-based edge map estimation. To used more complex edge map estimator (e.g. StructuredEdgeDetection that has been used in the original publication) that may lead to improved accuracies, the internal edge map estimation can be bypassed here.
virtual void | setFGSLambda (float _lambda)=0
| Sets the respective fastGlobalSmootherFilter() parameter.
virtual void | setFGSSigma (float _sigma)=0
virtual void | setK (int _k)=0
| Parameter to tune the approximate size of the superpixel used for oversegmentation.
virtual void | setLambda (float _lambda)=0
| Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000.
virtual void | setSigma (float _sigma)=0
| Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting. Higher values can help preserve fine details, lower values can help to get rid of noise in the output flow.
virtual void | setUsePostProcessing (bool _use_post_proc)=0
| Sets whether the fastGlobalSmootherFilter() post-processing is employed. It is turned on by default.
Public Member Functions inherited from cv::ximgproc::SparseMatchInterpolator
virtual void | interpolate (InputArray from_image, InputArray from_points, InputArray to_image, InputArray to_points, OutputArray dense_flow)=0
| Interpolate input sparse matches.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Sparse match interpolation algorithm based on modified locally-weighted affine estimator from [226] and Fast Global Smoother as post-processing filter.

## Member Function Documentation

## ◆ getFGSLambda()

virtual float cv::ximgproc::EdgeAwareInterpolator::getFGSLambda | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.getFGSLambda( |  | ) -> | retval

See also
  setFGSLambda

## ◆ getFGSSigma()

virtual float cv::ximgproc::EdgeAwareInterpolator::getFGSSigma | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.getFGSSigma( |  | ) -> | retval

See also
  setFGSLambda

## ◆ getK()

virtual int cv::ximgproc::EdgeAwareInterpolator::getK | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.getK( |  | ) -> | retval

See also
  setK

## ◆ getLambda()

virtual float cv::ximgproc::EdgeAwareInterpolator::getLambda | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.getLambda( |  | ) -> | retval

See also
  setLambda

## ◆ getSigma()

virtual float cv::ximgproc::EdgeAwareInterpolator::getSigma | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.getSigma( |  | ) -> | retval

See also
  setSigma

## ◆ getUsePostProcessing()

virtual bool cv::ximgproc::EdgeAwareInterpolator::getUsePostProcessing | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.getUsePostProcessing( |  | ) -> | retval

See also
  setUsePostProcessing

## ◆ setCostMap()

virtual void cv::ximgproc::EdgeAwareInterpolator::setCostMap | ( | const Mat & | _costMap | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setCostMap( | _costMap | ) -> | None

Interface to provide a more elaborated cost map, i.e. edge map, for the edge-aware term. This implementation is based on a rather simple gradient-based edge map estimation. To used more complex edge map estimator (e.g. StructuredEdgeDetection that has been used in the original publication) that may lead to improved accuracies, the internal edge map estimation can be bypassed here.

Parameters

  _costMap | a type CV_32FC1 Mat is required.

See also
  cv::ximgproc::createSuperpixelSLIC

## ◆ setFGSLambda()

virtual void cv::ximgproc::EdgeAwareInterpolator::setFGSLambda | ( | float | _lambda | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setFGSLambda( | _lambda | ) -> | None

Sets the respective fastGlobalSmootherFilter() parameter.

## ◆ setFGSSigma()

virtual void cv::ximgproc::EdgeAwareInterpolator::setFGSSigma | ( | float | _sigma | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setFGSSigma( | _sigma | ) -> | None

See also
  setFGSLambda

## ◆ setK()

virtual void cv::ximgproc::EdgeAwareInterpolator::setK | ( | int | _k | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setK( | _k | ) -> | None

Parameter to tune the approximate size of the superpixel used for oversegmentation.

See also
  cv::ximgproc::createSuperpixelSLIC

K is a number of nearest-neighbor matches considered, when fitting a locally affine model. Usually it should be around 128. However, lower values would make the interpolation noticeably faster.

## ◆ setLambda()

virtual void cv::ximgproc::EdgeAwareInterpolator::setLambda | ( | float | _lambda | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setLambda( | _lambda | ) -> | None

Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000.

## ◆ setSigma()

virtual void cv::ximgproc::EdgeAwareInterpolator::setSigma | ( | float | _sigma | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setSigma( | _sigma | ) -> | None

Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting. Higher values can help preserve fine details, lower values can help to get rid of noise in the output flow.

## ◆ setUsePostProcessing()

virtual void cv::ximgproc::EdgeAwareInterpolator::setUsePostProcessing | ( | bool | _use_post_proc | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeAwareInterpolator.setUsePostProcessing( | _use_post_proc | ) -> | None

Sets whether the fastGlobalSmootherFilter() post-processing is employed. It is turned on by default.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/sparse_match_interpolator.hpp